<script type="text/javascript">
	$(document).ready(function(){
	$("#data_detail").hide();
	
	$("#mulai").focus();
	
	$("#mulai").click(function(){
		$(".input").val('');
		$("#data_detail").hide();
		cari_nocab();
	});
	
	function cari_nocab(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_nocab").val(data.nocab);
				cari_nomor();
			}
		});
	}
	
	function cari_nomor(){
		var tahun   = $("#txt_tahun").val();
		var bulan   = $("#txt_bulan").val();
		var nocab   = $("#txt_nocab").val();
		var thn     = tahun-2000;
		
	    if(bulan<10)
            var nomor = 'DEP'+nocab+'.'+thn+'0'+bulan;
        else
            var nomor = 'DEP'+nocab+'.'+thn+bulan;
        
        $("#txt_kode").val(nomor);
        var kode = $("#txt_kode").val();
        
        $.ajax({
			type	: "POST",
			url		: "spv/depresiasi/cari_kode.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_kodedp").val(data.kodedp);
				var kodedp=$("#txt_kodedp").val();
				if(!(kodedp=='')){
				    alert('Maaf, posting depresiasi bulan '+bulan+' '+tahun+' sudah pernah dilakukan.')
				    return(false);
				}
			}
		});
	}
	
	$("#txt_bulan").keyup(function(){
	    var	kode	= $("#txt_kode").val();
		
		if(kode==''){
		    alert('Maaf, Nomor bukti masih kosong. Klik tombol Mulai untuk membuat nomor bukti otomatis.');
	        $("#mulai").focus();
	        return(false);
		}
		cari_nomor();
	});
	
	$("#txt_bulan").click(function(){
	    var	kode	= $("#txt_kode").val();
		
		if(kode==''){
		    alert('Maaf, Nomor bukti masih kosong. Klik tombol Mulai untuk membuat nomor bukti otomatis.');
	        $("#mulai").focus();
	        return(false);
		}
		cari_nomor();
	});
	
	$("#txt_tahun").keyup(function(){
	    var	kode	= $("#txt_kode").val();
		
		if(kode==''){
		    alert('Maaf, Nomor bukti masih kosong. Klik tombol Mulai untuk membuat nomor bukti otomatis.');
	        $("#mulai").focus();
	        return(false);
		}
		cari_nomor();
	});
	
	$("#txt_tahun").click(function(){
	    var	kode	= $("#txt_kode").val();
		
		if(kode==''){
		    alert('Maaf, Nomor bukti masih kosong. Klik tombol Mulai untuk membuat nomor bukti otomatis.');
	        $("#mulai").focus();
	        return(false);
		}
		cari_nomor();
	});
	
	$("#postdp").click(function(){
	    var tahun   = $("#txt_tahun").val();
		var bulan   = $("#txt_bulan").val();
		var	kode	= $("#txt_kode").val();
		var nocab   = $("#txt_nocab").val();
		
		if(kode==''){
		    alert('Maaf, Nomor bukti masih kosong. Klik tombol Mulai untuk membuat nomor bukti otomatis.');
	        $("#mulai").focus();
	        return(false);
		}
		
	    var pilih = confirm('Jalankan posting depresiasi aktiva bulan '+bulan+' '+tahun+' ?');
	    
		if (pilih==true){
		    $.ajax({
			type	: "POST",
			url		: "spv/depresiasi/postdp.php",
			data	: "kode="+kode+
					"&bulan="+bulan+
					"&tahun="+tahun+
					"&nocab="+nocab,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},			  
			success	: function(data){
				$("#info").html(data);
				tampil_detail();
			}
		});    
		}
	});
	
	function tampil_detail(){
	    var	kode	= $("#txt_kode").val();
	    $("#data_detail").show();
	    $("#data_detail").load("spv/depresiasi/tampil_data_detail.php?kode="+kode);
	}
	
	$("#keluar").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode{
	background:#CCC;
}
</style>

<?php
$tgl=date('Y-m-d');
$tahun=(int) substr($tgl,0,4);
$bulan=(int) substr($tgl,5,2);

echo "<table width='100%'>	
	<tr>
		<input type='text' name='txt_nocab' id='txt_nocab' size='10' class='input' hidden />
		<input type='text' name='txt_kodedp' id='txt_kodedp' size='10' class='input' hidden />
		<td>No.Bukti : <input type='text' name='txt_kode' id='txt_kode' size='10' class='input' readonly /></td>
		<td>Depresiasi : <input type='number' namt='txt_bulan' id='txt_bulan' value='$bulan'></td>
		<td>Tahun : <input type='number' namt='txt_tahun' id='txt_tahun' value='$tahun' ></td>
	</tr>
	</table>	
	
	<table width='100%'>
	<tr>
		<td align='center'>
			<button name='mulai' id='mulai'>Mulai</button>
			<button name='postdp' id='postdp'>Posting</button>
			<button name='keluar' id='keluar'>Keluar</button>
		</td>
	</tr>
	</table>
	<hr>";

echo "<div id='data_detail'></div>";
?>